const AnsibleItem = ({ job, onClick }) => {
  return (
    <div
      className="p-4 border rounded shadow-sm bg-white mb-2 cursor-pointer hover:bg-gray-50"
      onClick={() => onClick(job)}
    >
      <div className="text-sm text-gray-500">ID: {job.id}</div>
      <div className="text-lg font-bold">{job.name}</div>
      <div className="text-blue-600 font-medium">Status: {job.status}</div>
    </div>
  );
};

export default AnsibleItem;
