// src/api/todoApi.js
import axios from 'axios';
import { attachAuthInterceptors } from './attachInterceptors';

const ansibleApi = axios.create({
  baseURL: process.env.REACT_APP_API_ANSIBLE,
  headers: { 'Content-Type': 'application/json' }
});

attachAuthInterceptors(ansibleApi);

export default ansibleApi;
